List Inbox Pieces
GET /inboxes/{inbox_id}/pieces
Lists the pieces in an inbox. Supports sorting, filtering, and paging.
Filters
The filters query parameter accepts a comma-separated list of key:value pairs that narrow results.
Allowed filter keys: in, to, from, received_after, received_before, at, carrier, class, contains.
- received_after / received_before — Filter by received date. Value must be a valid UTC datetime.
- to — Filter by recipient name (prefix match).
- from — Filter by sender name (prefix match).
- in — Filter by location. Use
all_itemsto include all. - carrier / class — Filter by shipping carrier and service class. When
classis provided,carriermust also be provided. - contains — Search within piece content.
- at — Filter by facility location.
Multiple filters can be combined in a single filters value.
Examples
Retrieve pieces received after a specific date:
?filters=received_after:2024-01-15T00:00:00Z
Retrieve pieces addressed to a specific recipient:
?filters=to:John Smith
Authorizations
Section titled “Authorizations”Send your API key in the x-api-key header.
See Authentication.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Query Parameters
Section titled “Query Parameters ”The desired page from the result set. Defaults to 1.
The number of items per page. Defaults to 95, which is also the maximum. Larger values return 95 items per page.
The field to sort the result set by. Allowed values: id, received_at, sender.name, recipient.name. Defaults to id.
The direction to sort the result set by. 0 for ascending, 1 for descending. Defaults to ascending (0).
Only return pieces assigned to the given recipients. Comma-separated list of recipient IDs.
Only return pieces in the given folder.
Only return pieces that have the given attributes. Allowed values: archived, trashed, payment-detected, pending, scanned, shipped, stored, unscanned.
Additional filter parameters as comma-separated key:value pairs. Allowed keys: in, to, from, received_after, received_before, at, carrier, class, contains.
Specifies the payload components to return. This is a flags parameter — values can be combined by addition. 0: All, 1: Piece data only, 2: Count only, 4: Media only. Defaults to 0.
Limits results to items with the specified tags. Comma-separated list of tag IDs. Possible values are provided by the listInboxTags operation.
Responses
Section titled “ Responses ”Success
object
Total number of items across all pages.
15Number of items per page.
100The current page number (1-based).
1The last available page number.
1The index of the first item on this page (1-based).
1The index of the last item on this page (1-based).
15object
14460059975990000000101 0016615290433808312186object
122028Bruce Wayne97599[ "unscanned", "read", "inbox", "stored"][ "unscanned", "read", "inbox", "stored"]0.1623.90.18.88object
UnknownUnknownobject
1_1_2_0_0image/jpg[ "color", "large", "enclosure", "front"]144600591mailletterobject
object
3001Urgent12Example
{ "current_page": 1, "data": [ { "created_at": "2018-07-23T21:25:52Z", "id": 14460059, "updated_at": "2018-07-23T21:25:52Z", "attributes": [ "unscanned", "read", "inbox", "stored" ], "barcode": "0000000101 0016615290", "carrier": { "class": "Unknown", "name": "Unknown" }, "depth_in_inches": 0.1, "end_user_operation_status": null, "height_in_inches": 3.9, "inbox_id": 97599, "insights": [], "length_in_inches": 8.88, "license_plate": 433808312186, "mailbox_folder_id": 0, "media": [ { "content_type": "image/jpg", "id": "1_1_2_0_3", "tags": [ "color", "medium", "enclosure", "front" ], "url": "https://media.earthclassmail.com/...", "url_valid_until": "2018-09-12T20:46:01Z", "page_count": 1, "piece_id": 14460059 } ], "operation_action": null, "page_count_actual": null, "page_count_estimate": 2, "piece_sub_type": "letter", "piece_type": "mail", "received_at": "2018-07-23T21:25:52Z", "recipient": { "id": 122028, "inbox_id": 97599, "name": "Bruce Wayne" }, "sender": null, "tags": [ "unscanned", "read", "inbox", "stored" ], "user_defined_tags": [], "weight_in_ounces": 0.16 } ], "from": 1, "last_page": 15, "per_page": 1, "to": 1, "total": 15}The x-api-key header is missing or the key is not valid, or the caller can’t access an ID in the request. IDs that don’t exist return the same response as IDs the caller can’t access.
Error envelope returned with 4xx and 5xx responses.
object
object
Usually the HTTP status code. It can differ; a request to an unknown path returns HTTP 400 with code 500.
401Human-readable description of the error.
The kind of error, for example Authorization or REST.
RESTReturned only with 422 responses. It may give more details about what failed validation, as lists of messages keyed by the name of the input.
object
Examples
{ "error": { "code": 401, "message": "The request does not include a valid access token. Please provide a valid access token.", "type": "Authorization" }}{ "error": { "code": 401, "message": "x-api-key: x-api-key is invalid", "type": "REST" }}{ "error": { "code": 401, "message": "User does not have access to requested resource.", "type": "Authorization" }}